<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huyi.service.base.mapper.ZcFinanceProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huyi.service.base.entity.ZcFinanceProduct">
        <id column="zfp_id" property="zfpId" />
        <result column="zfp_number" property="zfpNumber" />
        <result column="zfp_name" property="zfpName" />
        <result column="zfp_type" property="zfpType" />
        <result column="zfp_auth_type" property="zfpAuthType" />
        <result column="zfp_management_id" property="zfpManagementId" />
        <result column="zfp_split" property="zfpSplit" />
        <result column="zfp_transfer" property="zfpTransfer" />
        <result column="zfp_recourse" property="zfpRecourse" />
        <result column="zfp_voucher_type" property="zfpVoucherType" />
        <result column="zfp_core_account" property="zfpCoreAccount" />
        <result column="zfp_supplier_account" property="zfpSupplierAccount" />
        <result column="zfp_charge" property="zfpCharge" />
        <result column="zfp_status" property="zfpStatus" />
        <result column="zfp_minimum_amount" property="zfpMinimumAmount" />
        <result column="zfp_shortest_period" property="zfpShortestPeriod" />
        <result column="zfp_bookkeeping" property="zfpBookkeeping" />
        <result column="zfp_part" property="zfpPart" />
        <result column="zfp_expire" property="zfpExpire" />
        <result column="zfp_rate" property="zfpRate" />
        <result column="zfp_profit" property="zfpProfit" />
        <result column="zfp_profit_type" property="zfpProfitType" />
        <result column="zfp_profit_rate" property="zfpProfitRate" />
        <result column="zfp_platform" property="zfpPlatform" />
        <result column="zfp_profit_spare1" property="zfpProfitSpare1" />
        <result column="zfp_profit_spare2" property="zfpProfitSpare2" />
        <result column="zfp_profit_spare3" property="zfpProfitSpare3" />
        <result column="zfp_profit_spare4" property="zfpProfitSpare4" />
        <result column="zfp_profit_spare5" property="zfpProfitSpare5" />
        <result column="zfp_profit_spare6" property="zfpProfitSpare6" />
        <result column="zfp_profit_spare7" property="zfpProfitSpare7" />
        <result column="zfp_profit_spare8" property="zfpProfitSpare8" />
        <result column="zfp_profit_spare9" property="zfpProfitSpare9" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
